J2EEDomain (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.J2EEDomain interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee
Interface J2EEDomain

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  JBossDomain, OracleAppDomain, WebLogicDomain, WebSphereCell

    public interface J2EEDomain

extends LogicalElement, ConfigurationItem

JSR77 - Represents a J2EE management domain.

Naming Rules:
  0="primarySAP" 1="owner,name" 2="managedSystemName"
Persistable:
  true
Table Name:
  J2EEDOMN
Display Name:
  name,adminHost,primarySAP

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`ComputerSystem` | `getAdminHost()`
`J2EEDeployedObject[]` | `getDeployedObjects()`
`java.lang.String` | `getName()`
`OrganizationalEntity` | `getOwner()` The organization that owns this domain
`BindAddress` | `getPrimarySAP()`
`J2EEResource[]` | `getResources()`
`J2EEServer[]` | `getServers()`
`boolean` | `hasAdminHost()`
`boolean` | `hasDeployedObjects()`
`boolean` | `hasName()`
`boolean` | `hasOwner()`
`boolean` | `hasPrimarySAP()`
`boolean` | `hasResources()`
`boolean` | `hasServers()`
`void` | `setAdminHost(ComputerSystem host)`
`void` | `setDeployedObjects(J2EEDeployedObject[] objs)`
`void` | `setName(java.lang.String name)`
`void` | `setOwner(OrganizationalEntity owner)`
`void` | `setPrimarySAP(BindAddress sap)`
`void` | `setResources(J2EEResource[] res)`
`void` | `setServers(J2EEServer[] servers)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getAdminHost

    ComputerSystem getAdminHost()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Manages" reverse="true"

### setAdminHost

    void setAdminHost(ComputerSystem host)

### hasAdminHost

    boolean hasAdminHost()

### getPrimarySAP

    BindAddress getPrimarySAP()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="false"

### setPrimarySAP

    void setPrimarySAP(BindAddress sap)

### hasPrimarySAP

    boolean hasPrimarySAP()

### getServers

    J2EEServer[] getServers()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="true"
  Containment Relationship:
    true

### setServers

    void setServers(J2EEServer[] servers)

### hasServers

    boolean hasServers()

### getDeployedObjects

    J2EEDeployedObject[] getDeployedObjects()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.DeployedTo" reverse="true"

### setDeployedObjects

    void setDeployedObjects(J2EEDeployedObject[] objs)

### hasDeployedObjects

    boolean hasDeployedObjects()

### getResources

    J2EEResource[] getResources()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="true"

### setResources

    void setResources(J2EEResource[] res)

### hasResources

    boolean hasResources()

### getOwner

    OrganizationalEntity getOwner()
                                  throws AttributeNotSetException

  The organization that owns this domain

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Owns" reverse="true"

### setOwner

    void setOwner(OrganizationalEntity owner)

### hasOwner

    boolean hasOwner()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD